org.fourthline.cling.protocol.sync

## Class ReceivingUnsubscribe

- java.lang.Object
- - org.fourthline.cling.protocol.ReceivingAsync<IN>
  - - org.fourthline.cling.protocol.ReceivingSync<StreamRequestMessage,StreamResponseMessage>
    - - org.fourthline.cling.protocol.sync.ReceivingUnsubscribe

- All Implemented Interfaces:
    Runnable

      public class ReceivingUnsubscribe
      extends ReceivingSync<StreamRequestMessage,StreamResponseMessage>

  Handles reception of GENA event unsubscribe messages.
  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.protocol.ReceivingSync

      `outputMessage, remoteClientInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivingUnsubscribe(UpnpService upnpService, StreamRequestMessage inputMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected StreamResponseMessage` | `executeSync()`

    - ### Methods inherited from class org.fourthline.cling.protocol.ReceivingSync

      `execute, getOutputMessage, getRemoteClientInfo, responseException, responseSent, toString`

    - ### Methods inherited from class org.fourthline.cling.protocol.ReceivingAsync

      `getFirstHeader, getInputMessage, getUpnpService, run, waitBeforeExecution`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceivingUnsubscribe

          public ReceivingUnsubscribe(UpnpService upnpService,
                                      StreamRequestMessage inputMessage)

  - ### Method Detail

    - #### executeSync

          protected StreamResponseMessage executeSync()
                                               throws RouterException

      Specified by:
        `executeSync` in class `ReceivingSync<StreamRequestMessage,StreamResponseMessage>`
      Throws:
        `RouterException`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.